summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Bowler <jbowler@nslu2-linux.org>2005-07-17 19:41:49 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-07-17 19:41:49 +0000
commitd974a5a9ea1437acad1346ab1ee7b170690a179c (patch)
treef9d167bf2b9c7f02fc303d2736197709197bf051
parenta8653925ca6d63ba7adf7c1001c478bd8568b2b8 (diff)
Horrible hacky, maybe working, work round for shutdown -r. Please report
any future hangs on shutdown -r in slugbug 145.
-rw-r--r--packages/linux/nslu2-kernel_2.6.12.2.bb2
-rw-r--r--packages/linux/nslu2-kernel_2.6.12.bb2
-rw-r--r--packages/linux/openslug-kernel-2.6.11.2/xscale-reset.patch2
-rw-r--r--packages/linux/openslug-kernel_2.6.11.2.bb2
-rw-r--r--packages/openslug-init/openslug-init-0.10/initscripts/umountinitrd.sh17
-rw-r--r--packages/openslug-init/openslug-init_0.10.bb2
6 files changed, 20 insertions, 7 deletions
diff --git a/packages/linux/nslu2-kernel_2.6.12.2.bb b/packages/linux/nslu2-kernel_2.6.12.2.bb
index 8ab9379708..afd0ec8321 100644
--- a/packages/linux/nslu2-kernel_2.6.12.2.bb
+++ b/packages/linux/nslu2-kernel_2.6.12.2.bb
@@ -1,5 +1,5 @@
# Kernel for NSLU2
-PR = "r1"
+PR = "r2"
include nslu2-kernel.inc
# N2K_EXTRA_PATCHES - list of patches to apply (can include
diff --git a/packages/linux/nslu2-kernel_2.6.12.bb b/packages/linux/nslu2-kernel_2.6.12.bb
index e3e536fe3e..8ab9379708 100644
--- a/packages/linux/nslu2-kernel_2.6.12.bb
+++ b/packages/linux/nslu2-kernel_2.6.12.bb
@@ -1,5 +1,5 @@
# Kernel for NSLU2
-PR = "r0"
+PR = "r1"
include nslu2-kernel.inc
# N2K_EXTRA_PATCHES - list of patches to apply (can include
diff --git a/packages/linux/openslug-kernel-2.6.11.2/xscale-reset.patch b/packages/linux/openslug-kernel-2.6.11.2/xscale-reset.patch
index 3995ba691e..4e68456e20 100644
--- a/packages/linux/openslug-kernel-2.6.11.2/xscale-reset.patch
+++ b/packages/linux/openslug-kernel-2.6.11.2/xscale-reset.patch
@@ -102,7 +102,7 @@
+ ldr r7, =IXP4XX_TIMER_BASE_VIRT
+ ldr r8, =IXP4XX_WDT_KEY @ set key
+ str r8, [r7, #IXP4XX_OSWK_OFFSET]
-+ mov r8, #0x10000000 @ about 4 seconds
++ mov r8, #0x1000000 @ about 0.25 seconds
+ str r8, [r7, #IXP4XX_OSWT_OFFSET] @ set timer
+ mov r8, #(IXP4XX_WDT_RESET_ENABLE | IXP4XX_WDT_COUNT_ENABLE)
+ str r8, [r7, #IXP4XX_OSWE_OFFSET] @ enable reset
diff --git a/packages/linux/openslug-kernel_2.6.11.2.bb b/packages/linux/openslug-kernel_2.6.11.2.bb
index c4408ae479..1fe7da7344 100644
--- a/packages/linux/openslug-kernel_2.6.11.2.bb
+++ b/packages/linux/openslug-kernel_2.6.11.2.bb
@@ -2,7 +2,7 @@ SECTION = "kernel"
DESCRIPTION = "Linux kernel for the Linksys NSLU2 device"
LICENSE = "GPL"
MAINTAINER = "Chris Larson <kergoth@handhelds.org>"
-PR = "r13"
+PR = "r14"
KERNEL_SUFFIX = "openslug"
diff --git a/packages/openslug-init/openslug-init-0.10/initscripts/umountinitrd.sh b/packages/openslug-init/openslug-init-0.10/initscripts/umountinitrd.sh
index b7ae8b76e5..da39b425f8 100644
--- a/packages/openslug-init/openslug-init-0.10/initscripts/umountinitrd.sh
+++ b/packages/openslug-init/openslug-init-0.10/initscripts/umountinitrd.sh
@@ -1,5 +1,18 @@
#!/bin/sh
#
# umount /mnt, which is where the initrd ends up mounted
-# if the directory /initrd is not present
-exec umount /mnt 2>/dev/null
+# if the directory /initrd is not present, if this fails
+# then the /initrd is mounted and we want to remount that
+# ro - this works round the shutdown -r hang problem
+umount /mnt 2>/dev/null || {
+ # need the device for a remount
+ . /etc/default/functions
+ ffspart=Flashdisk
+ ffsdev="$(mtblockdev $ffspart)"
+ if test -n "$ffsdev" -a -b "$ffsdev"
+ then
+ mount -o remount,ro "$ffsdev" /initrd
+ else
+ echo "Flashdisk: $ffsdev: flash device not found" >&2
+ fi
+}
diff --git a/packages/openslug-init/openslug-init_0.10.bb b/packages/openslug-init/openslug-init_0.10.bb
index 537760f8d5..59b8c0fd5d 100644
--- a/packages/openslug-init/openslug-init_0.10.bb
+++ b/packages/openslug-init/openslug-init_0.10.bb
@@ -3,7 +3,7 @@ SECTION = "console/network"
LICENSE = "GPL"
DEPENDS = "base-files devio"
RDEPENDS = "busybox devio"
-PR = "r37"
+PR = "r38"
SRC_URI = "file://linuxrc \
file://boot/flash \